$(document).ready(function() {
    // Hide 'Change' buttons
    $(".changelinesbutton").hide();

    $(".refresh").click(function() {
      var tmp = $(this).attr("id").split(/_/);
      var div = tmp[1];

      doRefresh(div);
      return false;
    });

	// Avoid sending forms when pressing enter
	$(".inputlines").keypress(function( e) {
	  if (e.which == 13) {
		var tmp = $(this).attr("id").split(/_/);
		var div = tmp[0];

		doRefresh(div);
		return false;
	  }
	});

});

function scrollToBottom(div) {
    var bottom = $("#bottom"+div);
    $("#"+div).stop().scrollTo(bottom, 400);
}


// Calls refreshLogs() every 15s
/*
function setTimer() {
  var t = setTimeout('refreshLogs()', 3000);
}

function refreshLogs() {
  // Refresh shibd and transaction
  doRefresh("shibd");
  doRefresh("transaction");
  setTimer();
}
*/
// Perform AJAX load and div update
function doRefresh(div) {
  var now = new Date();
  var requestlines = $("#"+div+"_lines").val();

  $.ajax({
    type: "GET",
    cache: false,
    url: "ajah/" + div,
    dataType: "html",
    data: {time : now.getTime(), lines : requestlines},
    beforeSend: function(obj) {
	  $("#refresh_"+div).html('<img src="img/loading.gif" alt="Loading" />');
    },
    error: function(obj, what, another) {
    	alert("Error loading AJAX");
    },
    success: function(data) {
    	$("#"+div+"-content").html(data);

	// Restore 'refresh' text
	$("#refresh_"+div).html('refresh');

	// Scroll to bottom
	var bottom = $("#bottom"+div);
	$("#"+div).stop().scrollTo(bottom, 400);
    }
    });
}

// vim: sw=2
